Switch User freezes at blank screen

Bug #112518 reported by Nick B.
100
This bug affects 11 people
Affects Status Importance Assigned to Milestone
compiz (Ubuntu)
Invalid
Undecided
Unassigned
gdm (Ubuntu)
Invalid
Undecided
Unassigned
linux-restricted-modules-2.6.20 (Ubuntu)
Won't Fix
Undecided
Unassigned
xorg-server (Ubuntu)
Confirmed
Undecided
Unassigned

Bug Description

The system seems to freeze at a blank screen and is not responsive to any input after switching users then logging out.

Steps to reproduce
1. Login user A
2. Switch user, Login user B
3. Either log out user B or switch user again

Then the screen is just frozen at a black screen and does not respond to any input.

Distro Release: Feisty Fawn 7.04

Revision history for this message
Hugh Parker (hcp) wrote :

I get the same thing, except more so:

Steps to reproduce:

1: Login
2: Switch user.

As soon as I click switch user I get an unresponsive black screen - ctrl-alt-del won't shift it, neither will ctrl-alt-backspace.

Revision history for this message
Hugh Parker (hcp) wrote :

I forgot to say - it worked fine under Dapper and then Edgy on the same box.

Revision history for this message
Woland (thewoland) wrote :

Similar situation, but will be triggered in any single of the following: logout and switch user.
The result is blank screen and unresponsive system. None of the key combinations work, not even *lock keys.

Revision history for this message
c0reyf (c0reyf) wrote :

FF 7.04 when doing a switch user I get a white screen. I do notice if I do a alt+ctrl L or R it does cube around with pure white backgrounds and takes no other input. Can anybody verify this?

Revision history for this message
c0reyf (c0reyf) wrote :

It happens on my Dell laptop as per above but works perfectly on my Dell Desktop.

Revision history for this message
ming (mingchau-1) wrote :

It happens on a lenovo 3000 C100 laptop.
1. login as user A
2. switch user
3. login as user B
4. logout
5. freeze

There is no more keyboard and mouse input. The screen freezes on the backdrop of the user B. Power-off button halts the laptop properly.

I noticed that
1. login as user A
2. switch user
3. quit
does not fail.

Revision history for this message
Jarno Suni (jarnos) wrote :

I can confirm this in Xubuntu Feisty on Acer Aspire 3623WXCi. I can reboot by pressing Alt+SysRq down when writing sub slowly, see http://www.developertutorials.com/tutorials/linux/magic-sysrq-050503/page1.html. (Alt+SysRq+seiub could be better.)

Revision history for this message
Mike E. (melkevizth) wrote :

I have the same problem, but I think I can add some more information.

It appears that the logout is not switching back to the previous virtual terminal as it should. If I use Alt+Fx where x is the virtual terminal with a current active session (default virtual terminal is F7), it will bring back up that session asking for a password (locked session dialog) just like it should have done automatically when I logged out. I'm not sure why it responds to Alt+Fx and not Ctrl+Alt+Fx, but I assume that this is the way the Kubuntu developers have compiled KDM. I hope this will help track down the source of this issue so it can be solved and corrected, but at least in the meantime, it can be used as a work around.

Mike

Revision history for this message
Zannax (stefanoz72) wrote :

I think this is duplicate or related with bug #118605 and bug #119635

I had similar freezes but, at least in my case, disabling the composite extension completely resolved the problem.

Revision history for this message
Jean Levasseur (levasseur.jean) wrote :

It happens to me as well, but only when using Beryl. I have not tried compiz (3D desktop) so I cannot compare, but at least it happens when using Beryl. Are you using compositing engine (Desktop Cube for example)? If so, try to reproduce while disabeling it.

My machine specs are:
-Celeron 1.7GHz
-768Mb RAM
-Nvidia GeForce 6200 128Mb RAM

I don't know if higher specs would solve the problem.

Revision history for this message
Mike E. (melkevizth) wrote :

I am not running Beryl or Compiz and I don't have the compositing enabled in my xorg.conf. However, I am running the nvidia driver. As soon as I have a chance, I will switch back to the nv driver and update the post to see if that resolves the issue. I do use the 3D acceleration for a number of games though, so I won't be able to use the nv driver permanently. But at least it would help track down the bug. I had the same setup on OpenSUSE 10.2 and never had any problems with it. Maybe it might have something to do with the way the nvidia driver is installed and enabled.

My machine is:

-Pentium 4 3.0GHz w/HT enabled
-1024Mb RAM
-Nvidia GeForce 5700 256Mb RAM

Revision history for this message
Mike E. (melkevizth) wrote :

I just tried switching to the nv driver. Same problem. I get a blank, white screen with a large underscore cursor in the upper left hand corner. I'm using Kubuntu Fiesty to clarify and I did a little more testing. I noticed that when when I'm in the first session I'm using (:0, vt7), but when I start a "new" session with the switch user feature it makes the new session (:0, vt9) and skips over 8. When I logout from the session on vt9, I get the blank screen. If I press Alt+F8, the screen doesn't change at all. If I press Alt+F9, I get a black screen instead of white but with the same underscore cursor flashing in the upper left corner. If I press Alt+F7, I'm returned to my first session on vt7 like I stated in the earlier post. To take this a bit further, if I switch users twice (start 3 sessions), I will have sessions running on vt7, vt9, and vt10. When I logout of vt10, I will be correctly taken back to vt9, but then a logout from vt9 then takes me to the blank white screen (that I think is vt8 which has nothing on it) and then I have to press Alt+F7 to get back to the first (vt7) session. I do also have to add that I don't think that it is a good idea to have the switch virtual terminal shortcuts to just Alt+Fx when from within a KDE session, Ctrl+Alt+Fx is required to switch terminals (which I can add, if I press Ctrl+Alt+F8 right now I will get the blank white screen, but I will have to use just Alt+F7 to get back here).

Revision history for this message
Profiterole (simon-profiterole) wrote :

Same thing then Hugh Parker.

1: Login (it's ok)
2: Switch user

As soon as I click switch user I get an black screen - ctrl-alt-backspace do nothing and I cannot use ctrl+alt+F1(2,3...) neither. I does that only with an XGL session with ATI drivers (fglrx). When I use drivers (ati) instead of (fglrx), I do not have desktop-effect, but I can switch user.

Revision history for this message
Nick B. (futurepilot) wrote :

I'm not sure what's causing this. It still happens with Beryl, so I'll have to see if it still happens with all effects turned off.

Revision history for this message
jsully (jsully) wrote :

I can replicate this as well with Compiz Fuzion GIT using nVidia drivers on Feisty. It happens switching VTs and it happens when I try to use the switch users feature.

Revision history for this message
ruoja (jhs1407) wrote :

I also get the frozen black screen, most often in the exact situation described in the original report, but sometimes also when a single user tries to log out or switch accounts.

Running Xubuntu 7.04 using i810 display driver on a HP Pavilion ze4900 series laptop. No Beryl, Compiz or composite features.

Revision history for this message
Nick B. (futurepilot) wrote :

It's obvious this isn't a Desktop Effects issue. Changing to GDM.

Revision history for this message
Nick B. (futurepilot) wrote :

Oops. Happens with KDM too it seems. Marking this one as Invalid for now. Must be a Xorg issue.

Changed in gdm:
status: New → Invalid
Revision history for this message
ruoja (jhs1407) wrote :

I've tried disabling parts of the "extmod" module. With "sync" omitted, I haven't been able to reproduce the problem anymore. With "shape" disabled, I've had one hangup, but haven't been able to duplicate it so far. Other parts haven't made a difference.

Revision history for this message
Sam Liddicott (sam-liddicott) wrote :

ruoja, could you please explain what you did with the extmod in a little more detail - thanks

Revision history for this message
Sam Liddicott (sam-liddicott) wrote :

I tried disabled extmod in my xorg.conf, but with or without it, if I login (with compiz enabled) and switch to a text console and back, then I'm stuck on a blank screen and need a remote gdm restart doing.

In any case I find that a remote kill of the compiz.real process will unlock the vt lock and recover things pretty much (apart from compiz.real being dead stops doing its work)

username 11919 11894 3 21:24 ? 00:00:01 /usr/bin/compiz.real --ignore-desktop-hints --replace ccp

kill -9 11919
in my case recovered it.

So the bug is in compiz.real, maybe?

I did an strace on compiz as I switched to a text console and back again

Revision history for this message
ruoja (jhs1407) wrote :

I disabled the specific extension(s) included in extmod by editing xorg.conf - commenting out the line that usually loads extmod and replacing it with a SubSection entry, including the option to leave out the specified part. Like this:

in file /etc/X11/xorg.conf :

# Load "extmod"
        SubSection "extmod"
                Option "omit sync"
        EndSubSection

Revision history for this message
ruoja (jhs1407) wrote :

Very well. I'll remind that in my case neither beryl or compiz is installed, as I explained earlier.

Revision history for this message
iblackburn (iain-blackburn) wrote :

I'd like to confirm this bug on Gutsy amd64 (nvidia 6100) with compiz-fusion running. This looks like a compiz-fusion issue
as this simply does not occur with metacity. With compiz-fusion running it is simply not possible to work with multiple users. The only option is a hard reboot.

Revision history for this message
Nick B. (futurepilot) wrote :

Yes, I've gotten it to work correctly with Metacity. I think it has something to do with the SyncToVblank option in Compiz. I'm going to try disabling SyncToVblank in Compiz in both user accounts and try to switch users.

Revision history for this message
iblackburn (iain-blackburn) wrote :

An easy workaround just occurred to me.

Is it possible to automatically switch to metacity when calling either switch-user, lock-screen, or log-out? As long as we can do that, and invoke compiz automatically when logging in then this bug will be a non-issue while we wait for compiz, nvidia, and xorg to sort out whose fault it is and how to fix it.

Revision history for this message
Mike E. (melkevizth) wrote :

As has been mentioned previously many times in this thread this is not a Compiz problem. It is most definitely a xorg problem as it occurs on Kubuntu with neither Compiz or Metacity installed.

Revision history for this message
iblackburn (iain-blackburn) wrote :

If this bug has been definitively attributed to xorg then I apologize for implying confusion as to its source. I've been primarily reading other bug reports documenting similar behaviour and they are fairly evenly split between attributing it to compiz, xorg or quite often nvidia.

Regardless, the option of automatically switching to metacity before switching users is still a valid workaround for those of us not using Kubuntu. After fairly extensive messing around with options and preferences, it definitely occurs on my system (Ubuntu Gutsy amd64) *only* when compiz is running. Unfortunately, I'm not a programmer and so lack the skills to automate the workaround. I've written the creator of the fast-user-switch-applet asking if it's possible to include a "run-script-on-switch-user" option but have not yet heard back. Is anyone else up to the task?

Revision history for this message
Gavin Jones (gavinj44) wrote :

Hi There,

This is my first posting on one of these, I'd like to add that I have this issue with the following setup:

nvidia drivers, gdm running on Ubuntu 7.04 with desktop effects enabled

If I disable "desktop effects" for every user then all works as expected,the problem only occurs with desktop effects enabled e.g. switch user and then your stuck at a black screen for ever ...

If i kill the process remotely by ssh'ing to the box then all recovers ...

Regards,
Gavin

Revision history for this message
Jean Levasseur (levasseur.jean) wrote :

Hi Mke E. I noticed after trying Kubuntu that when one switches user, it opens another "VT" with another X server to that other user. For example, lets say user "Joe" is logged-in usuallyand has locked the screen. Then user "Sarah" arrives and activates the "Switch User" button, then KDM appears as expected. She loges-in to work, and now Joe arrives to continue his work. She lockes the screen, and then Joe just has to push control-alt-F7 to access his locked session, while leaving Sarah's session intact and accessible via control-alt-F9.

In other words, is that possible that this situation is making a confusion here? You do not have Compiz neither Metacity activated, well, do you have Beryl?

I've extensively played with those "Switch user" options, and the only time it really lock-up the computer, leaving it in an unusable state is when "desktop effects" (either by Beryl or Compiz) are activated while switching users.

Revision history for this message
Mike E. (melkevizth) wrote :

Hi Jean,

I don't have Beryl either, so that isn't it. Most of the time, I can use the Ctrl+Alt+Fx shortcut keys to get back to the session I want to, but sometimes I need to use just Alt+Fx instead because it won't work with the Ctrl key.?? I explained things a little more in detail previously in this post so I won't go into more detail again here. You can check my previous posts starting at comment 8 going through comment 12. It has, but very rarely and with no consistency that I've noticed, locked up the computer before to where I had to do a hard reboot.

Revision history for this message
Sam Liddicott (sam-liddicott) wrote : Re: [Bug 112518] Re: Switch User freezes at blank screen

Mike E. wrote:
> Hi Jean,
>
> I don't have Beryl either, so that isn't it. Most of the time, I can
> use the Ctrl+Alt+Fx shortcut keys to get back to the session I want to,
> but sometimes I need to use just Alt+Fx instead because it won't work
> with the Ctrl key.?? I explained things a little more in detail
> previously in this post so I won't go into more detail again here. You
> can check my previous posts starting at comment 8 going through comment
> 12. It has, but very rarely and with no consistency that I've noticed,
> locked up the computer before to where I had to do a hard reboot.
>
>
When it needs a reboot, maybe you can still ssh in and kill some of the
programs on the VT thant is active and then ,aybe it will suddenly switch?

Sam

Revision history for this message
iblackburn (iain-blackburn) wrote :

In reply to Nick B.

I'd just like to confirm that on my system disabling the SyncToVblank option in compiz solved my problem. I am now able to switch users without any problems. I suspect there are two bugs in play here that give similar symptoms as mine was definitely a compiz problem.

Regards,
Iain

Revision history for this message
Sam Liddicott (sam-liddicott) wrote :

And in my case killing compiz.real on the display being switced to recovers it.

Sam

-----Original Message-----
From: "iblackburn" <email address hidden>
To: <email address hidden>
Sent: 30/09/07 03:12
Subject: [Bug 112518] Re: Switch User freezes at blank screen

In reply to Nick B.

I'd just like to confirm that on my system disabling the SyncToVblank
option in compiz solved my problem. I am now able to switch users
without any problems. I suspect there are two bugs in play here that
give similar symptoms as mine was definitely a compiz problem.

Regards,
Iain

--
Switch User freezes at blank screen
https://bugs.launchpad.net/bugs/112518
You received this bug notification because you are a direct subscriber
of the bug.

Revision history for this message
iblackburn (iain-blackburn) wrote :

Killing compiz.real worked for me as a workaround, the SyncToVblank switch has cured it completely.

Revision history for this message
Gianfranco Liporace (dr.kabuto) wrote :

Happens to me like in comment #2, and with Metacity.

Revision history for this message
Bengt Olsson (bengt-blafs) wrote :

When I switch from one user to another I get the black screen. Logging in remotely I see that what I presume is a new gdm process consumes almost all CPU:

root 5732 99.6 0.5 15312 6160 tty9 RLs+ 15:33 9:40 /usr/bin/X :20 -br -audit 0 -auth /var/lib/gdm/:20.Xauth -nolisten tcp vt9

It is no problem otherwise to work on the box from a ssh session. But when I try to kill the above process with "kill -9" the box hangs completely, including the ssh session. Any other specific information you want from the ssh session while in "hang state"?

Revision history for this message
Sam Liddicott (sam-liddicott) wrote :

Bengt Olsson wrote:
> When I switch from one user to another I get the black screen. Logging
> in remotely I see that what I presume is a new gdm process consumes
> almost all CPU:
>
> root 5732 99.6 0.5 15312 6160 tty9 RLs+ 15:33 9:40
> /usr/bin/X :20 -br -audit 0 -auth /var/lib/gdm/:20.Xauth -nolisten tcp
> vt9
>
> It is no problem otherwise to work on the box from a ssh session. But
> when I try to kill the above process with "kill -9" the box hangs
> completely, including the ssh session. Any other specific information
> you want from the ssh session while in "hang state"?
>
>
try an
strace -p PID-OF-PROCESS
and see if you get anything interesting

Sam

Revision history for this message
Bengt Olsson (bengt-blafs) wrote :

No output at all from the strace command, even when sending SIGTERM or SIGKILL to the gdm process that was eating cpu. However, the problem went away when I installed xserver-xgl (gutsy). BTW I'm using fglrx 8.37.6 from the gutsy repos.

Revision history for this message
Badbunny (paha-kani) wrote :

Same problem with Gutsy and intel 965 motherboard w/ integrated graphics. Have both gnome and kde installed on an originally ubuntu system.

23 comments hidden view all 103 comments
Revision history for this message
Dave Vree (hdave) wrote :

I can comfirm the "white screen" issue here on my Dell XPS M1210 laptop.

I have an nVidia geforce go 7400 GPU and I have compiz running.

Revision history for this message
Travis Watkins (amaranth) wrote :

Actually nvidia is the issue for the white screen, compiz just exposes the bug.

Changed in compiz:
status: New → Invalid
Revision history for this message
Sam Liddicott (sam-liddicott) wrote :

Travis Watkins wrote:
> Actually nvidia is the issue for the white screen, compiz just exposes
> the bug.
>
> ** Changed in: compiz (Ubuntu)
> Status: New => Invalid
>
>
I thought launchpad was OK to track upstream bugs?

Can't we leave the bug open?

Sam

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

nvidia issue -> linux-restricted-modules. Try hardy, which has a newer driver for nvidia.

Revision history for this message
Mike E. (melkevizth) wrote :

I wish some effort were put into fixing this bug, but if that isn't the case, please at least read the whole post before answering and deciding that it isn't an issue. This could be a nvidia bug, it most definitely is not a compiz bug. Read the first post. Nothing about a white screen, it was a black screen that was frozen. Some posts down further explain that it occurs on Kubuntu with no compiz even installed. It has to be a bug that is related to xorg, which could be nvidia or not. Please don't disregard the post, but rather change what it applies to.

Mike

Revision history for this message
markoloka (markoloka) wrote :

I have frozen blac/nk screen if i..
a) logout
b) switch user
c) shutdown
Only reset button works after it.
System: ati 2400, Kubuntu Gutsy, fglrx 8.2, no compiz or others.

Revision history for this message
Steven Harms (sharms) wrote :

Confirmed on Hardy RC

Revision history for this message
Dave Vree (hdave) wrote :

Can confirm the white screen nvidia/compiz version of this bug on the released version of Hardy.

Revision history for this message
Nick B. (futurepilot) wrote :

Yes I get a white screen here to now. However I can enter my password blindly and hit Enter and I'm back at the desktop.

Revision history for this message
Ds (detlef-schaal) wrote :
  • unnamed Edit (719 bytes, text/html; charset=ISO-8859-1)

On Sat, Apr 26, 2008 at 3:46 AM, HDave <email address hidden> wrote:

> Can confirm the white screen nvidia/compiz version of this bug on the
> released version of Hardy.
>
> --
> Switch User freezes at blank screen
> https://bugs.launchpad.net/bugs/112518
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Revision history for this message
Ds (detlef-schaal) wrote :
  • unnamed Edit (1.6 KiB, text/html; charset=ISO-8859-1)

Maybe this helps to troubleshoot:

Since the bug report I tried Suse and other Linux packages. Only the
PCLinuxOS <http://www.pclinuxos.com/> works 100% perfect with this laptop!

On Mon, Apr 28, 2008 at 5:45 PM, Detlef Schaal <email address hidden>
wrote:

>
>
> On Sat, Apr 26, 2008 at 3:46 AM, HDave <email address hidden> wrote:
>
> > Can confirm the white screen nvidia/compiz version of this bug on the
> > released version of Hardy.
> >
> > --
> > Switch User freezes at blank screen
> > https://bugs.launchpad.net/bugs/112518
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
>

Revision history for this message
Simone Tolotti (simontol) wrote :

I've found the same problem on Hardy. So I don't think it is kernel related at all.
If I disable compiz I get the correct password request dialog. With compiz enabled I get a white screen.

Revision history for this message
Rowan (if6was9) wrote :

Can confirm the same as Nick B. If I type in password blindly at white screen then hit enter, it works. Using Hardy on an AMD64x2 with.... ta daaa - a nvidia card (8600gt).

Revision history for this message
Travis Watkins (amaranth) wrote :

White screen is a different problem that, while a bug in the nvidia driver, can be worked around in compiz. We already have a bug open for that one. This bug is about an actual lockup.

Changed in gdm:
status: Invalid → New
Changed in linux-restricted-modules-2.6.20:
status: New → Invalid
Changed in compiz:
status: Invalid → Confirmed
Changed in linux-restricted-modules-2.6.20:
status: Invalid → Confirmed
Changed in compiz:
status: Confirmed → Invalid
Changed in gdm:
status: New → Invalid
Revision history for this message
iblackburn (iain-blackburn) wrote :

@Travis

How do you work around the white screen in compiz? I had the lock-up problem in Gutsy which I worked around in compiz with the SyncToVBlank setting (see my posts above), but I've started having the white screen since installing Hardy.

Cheers,
Iain

Revision history for this message
Simone Tolotti (simontol) wrote :

Seems fixed to me in GDM 2.20.6-ubuntu2. (hardy-updates)

Revision history for this message
linux_ejr (aguila-ejr) wrote :

Hello there, just wanted say that you are not alone with this problem:

My system relevant info is:
-HP Pavilion Laptop
-Intel Pentium 4 CPU 3.4 Ghz w/ NVIDIA chip
-Resolution 1680x1050, 50Hz
-Have upgraded to Heron from Gutsy

The issue definitely looks like is an incompatible screen resolution whenever we try to switch the user, so there has to be somewhere in this mechanism where it has to take the default user resolution instead of defaulting to one that is not compatible.

Happy to help debugging, just let me know what I need to do (send xorg logs perhaps?)

Cheers!!

linux_ejr (aguila-ejr)
Changed in linux-restricted-modules-2.6.20:
status: Confirmed → New
Revision history for this message
hongleong (hongleong) wrote :

My system specs:
* Ubuntu 8.04.1 Gnome with Compiz Fusion enabled
* Installed NVIDIA packages:
  - nvidia-glx-new 169.12+2.6.24.13-19.45
  - nvidia-kernel-common 20051028+1ubuntu8

When I switch user on Gnome and then subsequently logout from it to go back to the original user desktop, I get the white screen, which appears to be related to the gnome-screensaver.

My solution:

1. Press CTRL-ALT-F1 to switch to virtual console.
2. Login with the same user account as the session with "white screen".
3. Run command: pkill -9 gnome-screensaver
4. Press CTRL-ALT-F7 to switch back to original session... the "white screen" should be gone.

Hope this provides more info about the issue.

Revision history for this message
Damien LOUVEL (damien-louvel) wrote :

Seems fixed to me

Ubuntu 64bit 8.04.1, kernel 2.6.24-19
Gnome 2.22.2

Must have been fixed through Hardy updates

Revision history for this message
linux_ejr (aguila-ejr) wrote :

With most recent updates (as of August 7, 2008) the problem seems to be fixed for me...

Revision history for this message
Martin Tschäppät (minimec) wrote :

This bug still appears on my system, using Ubuntu Hardy Heron in combination with a ATI x1250 onboard GPU and the ATI restricted driver. (Offtopic: I could not test the ATI/Envyng solution, as there I am hurt by some kind of 'blank screen bug' in combination with compiz...)

The bug does not occur if I use the OpenSource ATI driver!

Would be interesting to know if those, who think that the bug has been fixed, are using some NVIDIA or INTEL cards...

Again... AMD/ATI users seem to be at end of the of the queue (as always). Can't believe that the ATI drivers are still crap after all these years.... Shame on you AMD/ATI guys!!!

Sorry... but I am getting angry about these crappy drivers!!!

Revision history for this message
Stefan Carslöv (odur) wrote :

I too got this bug and haven't found a solution yet.

   Dist: Kubuntu 8.04.1 Fully upgraded
   Graphics card: PowerColor (ATI) HD3870 SCS3
   Tested drivers: fglrx 8.3 through 8.9

Symptoms: When switching user the screen goes black and the system is totally unresponsive, including the keyboard. Not even caps-lock trigges the caps-lock light. The only thing that works is the reset button and to hold the powerbutton until it shuts down. Shutdown or restart works without problem (I have fixed the problem with atieventsd, see bug 118605).
If i use the vesa or radeonhd drivers everything is ok. But then I got no 3D acceleration, which I think would be nice...

This bug is really annoying to me, as we are switching users a lot on this computer. It started when I bought this card. I got a ATI X600 before, and that didn't suffer from this bug at all.

Anything else I could provide to help solving this bug, or at least get it triaged?

Revision history for this message
linux_ejr (aguila-ejr) wrote :

Dudes, I'm with you back again, sorry it took me some time, but I want to report that this issue *WAS NOT FIXED*, for some reason (proabably some configuration on my display) the Switch user screen worked, but after some time the problem came back again...

WORK-AROUND: 2 actually:

1. When the screen is blank (dark with few vertical and horizontal dotted lines for my case) hit the escape button until you listen the Ubuntu error sound, then blindly enter the user and password.

2. Don;t user "Switch user", LOGOUT current User and then LOGIN with new one.

Let's see if Intrepid (Ubuntu 8.10) fixes the issue..

Revision history for this message
Bryce Harrington (bryce) wrote : linux-restricted-modules-2.6.20 is obsolete

This package has become obsolete so we're closing out the bug report as WONTFIX.
Thanks for reporting it though!

Changed in linux-restricted-modules-2.6.20:
status: New → Won't Fix
Revision history for this message
Germán Pabón (ninboy) wrote :

This is still happening with the last kernel on Hardy,

But, as result of some test, I've disables Compiz AND gnome-screensaver (I put a black screen, just something without OpenGPL) and the issue disappeared...

Maybe the people who disable compiz have a fancy screensaver and because of that they're getting the blank screen... Can someone try this too?

Revision history for this message
Trevor Schauls (trevorschauls) wrote :

Seems not to affect Intrepid beta.

Revision history for this message
LukasDegener (degenerl) wrote :

AFAICT, Intrepid is indeed affected.
I just upgraded. Never had any problems with 8.04, but since upgrading to 8.10
I see the same behaviour (switching between two X sessions and the machine locks up)
There are two small differences, so I am not 100% sure if this is the same bug:

1) it does not happen every time.
2) sometimes the machine freezes even before switching, i.e. I try to switch from session A to session B and the box freezes while the desktop of A is still visible.

Let me know if there is any information I can provide to help you fix the problem.

Revision history for this message
LukasDegener (degenerl) wrote :

Maybe this is really a kernel bug? I am not sure whether to open a new report for this.

Anyway, here are some more observations:

- The system can still be accessed via ssh, so it isn't really locked up, only screen and input devices do not work.

- it seems that whenever the described bug occurs, there is some stack trace written to /var/log/kern.log:

Nov 2 14:02:55 slaine kernel: [ 3052.385064] BUG: scheduling with irqs disabled: mysqld/0x00000001/4794
Nov 2 14:02:55 slaine kernel: [ 3052.385083] caller is rt_spin_lock_slowlock+0x92/0x250
Nov 2 14:02:55 slaine kernel: [ 3052.385091] Pid: 4794, comm: mysqld Tainted: P 2.6.27-3-rt #1
Nov 2 14:02:55 slaine kernel: [ 3052.385097] [<c03512f6>] ? printk+0x18/0x1a
Nov 2 14:02:55 slaine kernel: [ 3052.385105] [<c0351cb0>] schedule+0xf0/0x100
Nov 2 14:02:55 slaine kernel: [ 3052.385112] [<c0353682>] rt_spin_lock_slowlock+0x92/0x250
Nov 2 14:02:55 slaine kernel: [ 3052.385120] [<c0353e1a>] __rt_spin_lock+0x4a/0x50
(... A full trace is attached as file trace.log.gz ...)

It is not always mysqld, for instance I also saw a similar trace for kaffeine, which also was created exactly at the moment the system (the x session, whatever) locked up.

There are other traces written to the log, but they do not seem to be related, at least there where no *observable* problems.

I am running an up-to-date ubuntu 8.10 installation.

uname -av says
Linux slaine 2.6.27-3-rt #1 PREEMPT RT Mon Oct 27 03:05:19 UTC 2008 i686 GNU/Linux

The processor is actually a x86_64, but my I am running it in 32bit mode.

Version of the NVidia driver is 173.14.12
The graphics adapter is a GeForce FX 5700LE

I will try to switch to the generic kernel image and see if the problem is still there. Maybe it is just related to the PREEMPT/RT-stuff.

Revision history for this message
LukasDegener (degenerl) wrote :

so far I was not able to reproduce the problem when running the generic kernel image.

Revision history for this message
vrull (vrull) wrote :

I discovered the same problem. After the steps, described at the first post, the screen goes black with the only mouse cursor moving. The system seems running OK, as the cursor may change its shape, when presumably hovering text fields, but it is impossible to get out of that state.
The system is Ubuntu 8.10 Intrepid, kernel: Linux ubuntu-desktop 2.6.27-7-generic #1 SMP Tue Nov 4 19:33:20 UTC 2008 i686 GNU/Linux; video card NVidia GeForce4 MX440 AGP 4x, 64MB VRAM, driver 96.43.09-0ubuntu1, Compiz-Fusion is running. Monitor is Philips 220WS and screen resolution is 1680 * 1050.

Extract from /etc/X11/xorg.conf
Section "Monitor"
    Identifier "Monitor0"
    VendorName "Unknown"
    ModelName "Philips 220WS"
    HorizSync 30.0 - 93.0
    VertRefresh 56.0 - 76.0
    Option "DPMS"
EndSection

Section "Device"
    Identifier "Device0"
    Driver "nvidia"
    VendorName "NVIDIA Corporation"
    BoardName "GeForce4 MX 440"
EndSection

Section "Screen"
    Identifier "Screen0"
    Device "Device0"
    Monitor "Monitor0"
    DefaultDepth 24
    Option "AddARGBGLXVisuals" "True"
    Option "TwinView" "0"
    Option "TwinViewXineramaInfoOrder" "CRT-0"
    Option "metamodes" "1680x1050_60 +0+0; 1680x1050 +0+0; 1280x1024 +0+0; 1024x768 +0+0; 800x600 +0+0; 640x480 +0+0"
    SubSection "Display"
        Depth 24
    EndSubSection
EndSection

Revision history for this message
vrull (vrull) wrote :

After filling the above comment found that disabling "Sync to VBlank" might solve the problem. After un-ticking it in CCSM the system refused to switch the user, with the error message. So I went to NVidia X Server Settings and un-ticked same Sync to VBlank here. This helped.

Revision history for this message
LukasDegener (degenerl) wrote :

Just to clarify this:
Please don't be confused by my previous comments, the problem I mentioned there is clearly not the same as the one initially reported by Nick B.

The problem I describe above only occurs when I run the RT kernel. (2.6.27-3-rt #1 PREEMPT RT)
No problems when using the generic one. Also the symptoms are different from what is described by other comments here. I will file a separate report for it, once I find some time. Sorry for the mess.

Revision history for this message
Cyril Roume (croume) wrote :

The problem reported in the first post is already there on Ubuntu Netbook Lucid Linx installed on ASUS Eee PC 1000HG.

Switch user a second time imply a black screen without any possible key input. Must reboot with long time press on "power off" button.

Revision history for this message
Erbs (erbs8) wrote :

The "black screen" problem is still alive! (Core i3 530 with integrated graphics)

Reliable workaround:

1. For every user on the machine repeat step 2, 3 and 4

2. go to "System", "Settings", "Keyboard Shortcuts"

3. add a shortcut
    name: e.g. "Fix black screen"
    command: "xgamma -gamma 1.0"

4. assign a combination: e.g. "Crtl+Esc"

Whenever you expirience the problem, do the following:

- type in the password of the user you want to switch to

- apply the keyboard shortcut (in my case "Crtl+Esc")

That already saved me at least a hunderd times.

Good luck!

Revision history for this message
Orion Ifland (ifland) wrote :

I don't know if this is actually a duplicate of bug 160264 - that one reports a white screen; this one (and what I'm experiencing with Lucid/10.4, ATI, and Compiz) produces a black screen.

Is it possible 10.4 has a regression?

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg-server (Ubuntu):
status: New → Confirmed
Revision history for this message
Farid Joubbi (farid) wrote :

I have the same problem as this bug description (not the same as bug 160264, which I think is something else).

linux Mint 12
ATI catalyst12.2

Revision history for this message
rafe101 (rafe101-) wrote :

still happening occasionally to me with 15.04

This does not appear to be the same as #160264. The steps to reproduce are different. The resolution is different.

There is no white screen. Switching never gets as far as logging in. Never is there a point when the white screen (which doesn't exist) goes away. Hard reset is only solution.

Revision history for this message
Sam Shiell (samop) wrote :

I have this exact bugg on Kubuntu 20.4 LTS.

It's not the same as #160264 as (like other people here) I get a black screen, not a white one.

No response from any Fn+Fx keys, only fix is a hard boot.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

This bug is closed and so is bug 160264. Please open a new bug for Ubuntu 20.04.

Displaying first 40 and last 40 comments. View all 103 comments or add a comment.
This report contains Public information  
Everyone can see this information.

Other bug subscribers